/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2010 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.designer.bpmn.model;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Loic Albertin
 */
public abstract class AbstractElementWithPosition extends AbstractElement {

  /**
   *
   */
  private static final long serialVersionUID = 4786806888401165170L;

  private int x = 0;
  private int y = 0;

  private List<SequenceFlowModel> incomingSequenceFlows = new ArrayList<SequenceFlowModel>();
  private List<SequenceFlowModel> outgoingSequenceFlows = new ArrayList<SequenceFlowModel>();


  /**
   * @return the x
   */
  public final int getX() {
    return x;
  }

  /**
   * @param x the x to set
   */
  public final void setX(int x) {
    this.x = x;
  }

  /**
   * @return the y
   */
  public final int getY() {
    return y;
  }

  /**
   * @param y the y to set
   */
  public final void setY(int y) {
    this.y = y;
  }


  public final List<SequenceFlowModel> getIncomingSequenceFlows() {
    return incomingSequenceFlows;
  }

  public final void setIncomingSequenceFlows(List<SequenceFlowModel> incomingSequenceFlows) {
    this.incomingSequenceFlows = incomingSequenceFlows;
  }

  public final List<SequenceFlowModel> getOutgoingSequenceFlows() {
    return outgoingSequenceFlows;
  }

  public final void setOutgoingSequenceFlows(List<SequenceFlowModel> outgoingSequenceFlows) {
    this.outgoingSequenceFlows = outgoingSequenceFlows;
  }
}
